// dbRoute.js - wire up DB handlers into Express routes
const express = require('express');
const dbRouter = express.Router();

// Import handlers from dbHandlers.js
const {   updateHandler, selectHandler, insertHandler } = require('../controllers/dbController');

// Route definitions using imported handlers
dbRouter.post('/select', selectHandler);
dbRouter.post('/insert', insertHandler);
dbRouter.post('/update', updateHandler);

module.exports = dbRouter;
